<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Validating Vulnerabilities">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Getting Started with Vulnerability Validation </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#20-vuln-validation/getting-started-vv.html">Open topic with navigation</a>
        </p>
        <h1>Getting Started with Vulnerability Validation </h1>
        <p>Vulnerability scanning plays a key role in the vulnerability management process. It helps you find potential vulnerabilities so that you can quantify and evaluate the threats that can adversely impact a network. While vulnerability scans can give you visibility into a network, they can yield a copious amount of data that require an extensive amount of time and resources to assess and validate. With so many threats facing  an organization, it can be difficult to prioritize and remediate security risks.</p>
        <p>Nexpose and <span class="VariablesProductName">Metasploit Pro</span> seamlessly integrate to streamline the vulnerability validation workflow. It creates a closed-loop security risk assessment solution so that you can find potential vulnerabilities, exploit them, and identify the security flaws that pose a real threat to a network.</p>
        <h2>Methods for Validating Vulnerabilities</h2>
        <p> In <span class="VariablesProductName">Metasploit Pro</span>, there are a couple of ways that you can validate vulnerabilities found by Nexpose:</p>
        <ul>
            <li value="1"><b>Vulnerability&#160;Validation&#160;Wizard</b> - This method is the easiest and should be used for bulk validations. It provides an all-in-one interface that walks you through importing and exploiting Nexpose vulnerabilities. It also helps you easily identify the vulnerabilities that are exploitable and non-exploitable so that you can send that data back to Nexpose. </li>
            <li value="2"><b>Manual Validation</b> -&#160;This method requires much more legwork and should be used when you have specific vulnerabilities that you want to target. When you perform manual validation,you will need to set up a penetration test as you normally would. This includes creating a project, importing/scanning Nexpose sites, and exploiting specific vulnerabilities. After <span class="VariablesProductName">Metasploit Pro</span> identifies the vulnerabilities that are exploitable and non-exploitable, you will be able to push that data back to Nexpose. </li>
        </ul>
        <h2>About the Vulnerability Validation&#160;Wizard</h2>
        <p><span class="VariablesProductName">Metasploit Pro</span> simplifies and streamlines the vulnerability validation process. It provides a  guided interface, called the Vulnerability Validation Wizard, that walks you through each step of the vulnerability validation process­—from importing Nexpose data to auto-exploiting vulnerabilities to sending the validation results back to Nexpose. You can even define exceptions for  vulnerabilities that were not successfully exploited and generate a report that details the vulnerability testing results directly from <span class="VariablesProductName">Metasploit Pro</span>.</p>
        <p>When you launch the Vulnerability Validation Wizard, you will need to configure the settings for the following tasks:</p>
        <ul>
            <li value="1">Creating a project.</li>
            <li value="2">Scanning or importing Nexpose sites.</li>
            <li value="3">Tagging Nexpose assets. (optional)</li>
            <li value="4">Auto-exploiting vulnerabilities.</li>
            <li value="5">Generating a report. (optional)</li>
        </ul>
        <h3>Vulnerability Validation Wizard Workflow</h3>
        <p>&#160;</p>
        <p><![CDATA[
]]><img src="../Resources/Images/vuln-validation/vv-workflow_540x219.png" title="Vulnerability Validation Wizard Workflow" alt="Vulnerability Validation Wizard Workflow" style="width: 540;height: 219;" /></p>
        <h2>Before You&#160;Begin</h2>
        <p>Before you can run the Vulnerability Validation Wizard, you will need to make sure that you have access to a Nexpose instance.You can only validate vulnerabilities with&#160;<span class="VariablesProductName">Metasploit Pro</span> if you have Nexpose Enterprise or Nexpose Consultant version 5.7.16 or higher. Please check your Nexpose edition before attempting to use the Vulnerability&#160;Validation&#160;Wizard. </p>
        <h3>Adding a Nexpose Console</h3>
        <p>You can configure a Nexpose console directly from the Vulnerability Validation Wizard. However, to simplify the vulnerability validation workflow, it is recommended that you globally add the Nexpose Consoles you intend to use prior to launching the wizard.When you globally add a Nexpose Console, it will be accessible to all projects and all users. </p>
        <p class="leadin">To configure a Nexpose Console:</p>
        <ol>
            <li value="1">Select <b class="UISelection">Administration &gt; Global Settings</b> from the Administration menu. <br /><br /><img src="../Resources/Images/vuln-validation/vv-global-menu_553x74.png" style="width: 553;height: 74;" /></li>
            <li value="2">Find the Nexpose Consoles area. <br /><br /><img src="../Resources/Images/vuln-validation/vv-nexpose-consoles_556x89.png" style="width: 556;height: 89;" /></li>
            <li value="3">Click the <b class="UISelection">Configure a Nexpose Console</b> button. <br /><br /><img src="../Resources/Images/vuln-validation/vv-configure-nexpose-console-button_553x81.png" style="width: 553;height: 81;" /></li>
            <li value="4">When the Configure a Nexpose Console page appears, enter the following information:</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b>Console Address</b> - The IP address to the server that runs Nexpose.  You can also specify the server name.</li>
            <li class="indentedList" value="2"><b>Console Port</b> - The port that runs the Nexpose service. The default port is 3780.</li>
            <li class="indentedList" value="3"><b>Console Username</b> - The Nexpose user name that will be used to log in to the console.</li>
            <li class="indentedList" value="4"><b>Console Password</b> - The Nexpose password that will be used to authenticate the user account.<br /><br /><img src="../Resources/Images/vuln-validation/vv-configure-nexpose-page-2_321x222.png" style="width: 321;height: 222;" /></li>
        </ul>
        <ol data-mc-continue="true">
            <li value="5">Save the Nexpose Console. </li>
        </ol>
        <p>&#160;</p>
    </body>
</html>